# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_AsciiString Class Reference

`#include <PDataStd_AsciiString.hxx>`

Inheritance diagram for PDataStd_AsciiString:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_AsciiString ()
Standard_EXPORT | PDataStd_AsciiString (const Handle(PCollection_HAsciiString)&V)
Standard_EXPORT Handle_PCollection_HAsciiString | Get () const
Standard_EXPORT void | Set (const Handle(PCollection_HAsciiString)&V)
| PDataStd_AsciiString (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDataStd_AsciiStringmyValue() const
void | _CSFDB_SetPDataStd_AsciiStringmyValue (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HAsciiString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_AsciiString::PDataStd_AsciiString | ( |  | ) |

Standard_EXPORT PDataStd_AsciiString::PDataStd_AsciiString | ( | const Handle(PCollection_HAsciiString)& | V | ) |

PDataStd_AsciiString::PDataStd_AsciiString | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_AsciiString::_CSFDB_SetPDataStd_AsciiStringmyValue | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HAsciiString PDataStd_AsciiString::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_AsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_AsciiString::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_AsciiString::Set | ( | const Handle(PCollection_HAsciiString)& | V | ) |

## Field Documentation

Handle_PCollection_HAsciiString PDataStd_AsciiString::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_AsciiString.hxx